image: gitlab-registry.cern.ch/atlas-ftk/ftk_container:ftk_build
variables:
  GIT_SUBMODULE_STRATEGY: recursive
job_build_gcc:
    stage: build
    script:
      - source /cvmfs/atlas.cern.ch/repo/sw/tdaq/tools/cmake_tdaq/bin/cm_setup.sh  tdaq-08-03-00
      - export TDAQ_LD_LIBRARY_PATH=$LD_LIBRARY_PATH
      - cmake_config $CMTCONFIG
      - cd $CMTCONFIG
      - make -j6
job_build_clang:
    stage: build
    script:
      - source /cvmfs/atlas.cern.ch/repo/sw/tdaq/tools/cmake_tdaq/bin/cm_setup.sh  tdaq-08-03-00
      - source /opt/rh/llvm-toolset-7/enable
      - export TDAQ_LD_LIBRARY_PATH=$LD_LIBRARY_PATH
      - cmake_config $CMTCONFIG
      - scripts/cmake_fix.sh
      - cd $CMTCONFIG
      - make CC=clang CXX=clang++ -j6
